Get wire instructions
curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"trackingRef": "CIR13FB13A",
"beneficiary": {
"name": "CIRCLE INTERNET FINANCIAL INC",
"address1": "99 HIGH STREET",
"address2": "BOSTON MA 02110"
},
"beneficiaryBank": {
"name": "WELLS FARGO BANK",
"swiftCode": "WFBIUS6SXXX",
"routingNumber": "121000248",
"accountNumber": "****7427",
"currency": "USD",
"address": "4250 EXECUTIVE SQUARE SUITE 300",
"city": "LA JOLLA",
"postalCode": "02110",
"country": "US"
}
}
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Get wire instructions
Get the wire transfer instructions into the Circle bank account given your bank account ID.
GET
/
v1
/
businessAccount
/
banks
/
wires
/
{id}
/
instructions
Get wire instructions
curl --request GET \
--url https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"trackingRef": "CIR13FB13A",
"beneficiary": {
"name": "CIRCLE INTERNET FINANCIAL INC",
"address1": "99 HIGH STREET",
"address2": "BOSTON MA 02110"
},
"beneficiaryBank": {
"name": "WELLS FARGO BANK",
"swiftCode": "WFBIUS6SXXX",
"routingNumber": "121000248",
"accountNumber": "****7427",
"currency": "USD",
"address": "4250 EXECUTIVE SQUARE SUITE 300",
"city": "LA JOLLA",
"postalCode": "02110",
"country": "US"
}
}
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Authorizations
Path Parameters
Query Parameters
The wallet ID of the external entity. If not provided, the instructions will be for your default wallet.
You can create additional wallets using the Core API for Institutions.
Was this page helpful?